Audio 2 interface

ive bought a traktor audio 2 interface, but it doesnt connect to my mac m2 chip because its not supported. is there a workaround ?

Answers

  • lord-carlos
    lord-carlos Member Posts: 2,018 Expert

    What version did you get?

    I am not sure, but I thought the latest one would be compatible with all modern platforms.


  • aronstopper
    aronstopper Member Posts: 4 Newcomer

    i got the traktor audio 2 2nd gen

  • lord-carlos
    lord-carlos Member Posts: 2,018 Expert

    AFAIK there is no way around it. You will need to downgrade or switch to windows.

    https://support.native-instruments.com/hc/en-us/articles/360014900358-Compatibility-of-Native-Instruments-Products-on-macOS

    From macOS 10.15 and higher, the operability of some NI legacy hardware is terminated. This includes MASCHINE MK1MASCHINE MIKRO MK1AUDIO 2 / 4 / 8 DJTRAKTOR AUDIO 2 MK1, and TRAKTOR S2 / S4 / X1 MK1.

    The workaround for macOS 10.12 - 10.14 (as described in this article) does not work on macOS 10.15 or higher. If you still want to use these legacy devices, you can only do so on a compatible OS.


  • aronstopper
    aronstopper Member Posts: 4 Newcomer

    switching to windows means using a different computer or can i install it on my mac as well ?

  • lord-carlos
    lord-carlos Member Posts: 2,018 Expert

    I don't know. Never had a mac.

    Might be faster and easier to re-sell what you bought, and get the latest version.

  • aronstopper
    aronstopper Member Posts: 4 Newcomer

    they dont make either of those two interfaces anymore, i was lucky i found one. no need for an interface and a laptop if you can just bring your usb i guess. but thanks for the help !

  • lord-carlos
    lord-carlos Member Posts: 2,018 Expert

    There are a few on the German used market. But with 75 to 100 EUR almost as much as a used Traktor A6 :0

Back To Top